#!/usr/bin/perl
# File: order.cgi

use CGI qw(:standard);

print header();
print start_html( -TITLE=>'Domoniques Pizza' );

print h1( {-align=>'center'}, 
          font ( {-color=>'red'}, "Domoniques Pizza") );

print start_form( -METHOD=>'GET' );

print 'Size:', 
radio_group(-NAME=>'size',
            -VALUE=>[ 's', 'm', 'l' ],
            -LABELS=>{'s'=>'Small',
                      'm'=>'Medium',
                      'l'=>'Large'
                     } );
print p;

print 'Crust Style:';
print popup_menu(-NAME=>'crust',
                 -VALUES=>[ 'ht', 'thin', 'tk' ],
                 -LABELS=>{'ht'=>'Hand Tossed',
                           'thin'=>'Thin',
                           'tk'=>'Thick'
                    } );

print p;
print checkbox(-NAME=>'cc', -LABEL=>'Cheesy Crust');

print p;
print 'Veggies:';
print scrolling_list(-NAME=>'veg',
                     -VALUES=>[ 'on','bol','gol','tom','mu' ],
                     -LABELS=>{'on'=>'Onion',
                               'bol'=>'Black Olive',
                               'gol'=>'Green Olive',
                               'tom'=>'Tomatoes',
                               'mu'=>'Mushrooms'
                              },
                     -MULTIPLE=>1,
                     -SIZE=>3 );

# Please feel free to add more meats
print p;
print 'Meats:';
print checkbox_group(-NAME=>'meats',
                     -VALUES=>[ 'pp','sau','ham','brg' ],
                     -DEFAULT=>'pp',
                     -LINEBREAK=>1,
                     -LABELS=>{ 'pp'=>'Pepperoni',
                                'sau'=>'Sausage',
                                'ham'=>'Ham',
                                'brg'=>'Hamburger',
                              } );

print p, 'Comment:',textarea( -NAME=>'comment', -ROWS=>5, -COLS=>60 );

print p;
print table(
   Tr( 
       td(submit(-NAME=>'doit',-VALUE=>'Order')),
       td(submit(-NAME=>'doit',-VALUE=>'Finish')),
       td(reset() )
     )
);

print end_form();
print end_html();
