#!/usr/bin/perl
# File: dbmfile.cgi

use CGI qw(:standard);
use NDBM_File;
use POSIX;

print header;
print start_html(-TITLE=>'DBM Database');

$dbfile = 'courses';
unless (tie %course, 'NDBM_File', "WWW/".$dbfile, O_CREAT|O_RDWR, 0666) {
	print h1('Cannot open data file.');
	print end_html;
	exit;
}

if (param('query') eq 'Query') {
	$id = param('id');
	if (defined $course{$id}) {
		($title, $len) = split(/\|/, $course{$id});
	}
}
print h1('Enter a course to add or query');
print startform(-method=>'POST', -action=>'dbmfile.cgi');
print 'Course ID: ', textfield(-NAME=>'id', -VALUE=>$id, -OVERRIDE=>1);
print 'Title: ',     textfield(-NAME=>'title', -VALUE=>$title, -OVERRIDE=>1);
print 'Length: ',    textfield(-NAME=>'length', -VALUE=>$len, -OVERRIDE=>1);
print br;
print submit(-NAME=>'add', -VALUE=>'Add');
print submit(-NAME=>'query', -VALUE=>'Query');
print endform;

if (param('add') eq 'Add') {
	$course{param('id')} = param('title').'|'.param('length');
	print h1("Record added/updated for ".param('id'));
}

untie(%course);
print end_html;
