#!/usr/bin/perl
# File: pull.cgi

use CGI qw(:standard);

@commandvalues = ('s', 'w', 'd');
%commandlabels = ('s'=>'How Many Processes?',
                  'w'=>'Who is Logged On',
                  'd'=>'Date and Time');

print header;
print start_html("Client Pull Program");

if (!param) {   # Paint the form 
	$server = server_name;
  
	print startform;
	print radio_group(-name=>'commands',
                     -value=>\@commandvalues,  
                     -labels=>\%commandlabels,  
                     );
	print "<hr>\n";
	print "Enter the number of seconds between client pulls: ";
	print textfield('delay','2','2','2');
	print "<hr>\n";
	print submit('Execute Command');
	print endform;

} else {    # Get information submitted
	$command = param('commands');
   $delay = param('delay');
   if    ($command eq 's') { $cmd = 'ps -ef|wc -l'; }
	elsif ($command eq 'w') { $cmd = 'who'; }
   elsif ($command eq 'd') { $cmd = 'date'; }
	else {
      print h2("Illegal value: ", $command);
      print end_html;
      exit;
  }

  # Dynamically create the client pull document

	$filename = "pull_command.cgi";
	open (PULL,">$filename");
  
	print PULL "#!/usr/bin/perl","\n";
	print PULL "# File: $filename","\n";
	print PULL 'print "Refresh: ",',$delay,',"\n";',"\n";
	print PULL 'print "Content-type: text/plain\n\n";',"\n";
	print PULL 'print "Executing ', $cmd, ' every ',$delay,' seconds";',"\n";
	print PULL 'print "\n\n",`',$cmd,'`;',"\n";
	close (PULL);

	# Kick the browser to run our new program repeatedly
	print "<META HTTP-equiv='Refresh' CONTENT='0; URL=pull_command.cgi'>\n";
}
print end_html;
