#!/usr/bin/perl
# File: dbidata.cgi

use CGI qw(:standard);
use DBI;

print header;
print start_html(-TITLE=>'Database Access with DBI');

$ENV{ORACLE_HOME} = '/home2/app/oracle/product/8.0.4';
$uid = 'scott'; $pwd = 'tiger';
$conn = DBI->connect('dbi:Oracle:ORC8', $uid, $pwd);
unless ($conn) {
  print h1('Unable to connect to Oracle.\n');
  print end_html;
  exit;
}

$sqlquery = 'SELECT * FROM emp';

$stmt = $conn->prepare($sqlquery);
print("Prepare failed.", end_html) and exit unless $stmt;

$stmt->execute() or print("Execute failed.", end_html) && exit;

print table({-border=>1});
print Tr({-align=>CENTER},
         th ['ID','Name','Title','Supervisor',
             'Hired','Salary','Comm.','Dept. #']);
while (@row = $stmt->fetchrow_array) {
  print Tr( td([@row]) ),"\n";
}
$stmt->finish();
print "</TABLE>\n";

$conn->disconnect();

print end_html;
