#!/usr/bin/perl
# File: nph-push1.cgi

$| = 1;#disables buffering

use CGI qw(:standard);

$boundary_string = "\n"."--End"."\n";
$end_of_data = "\n"."--End--"."\n";

@commandvalues = ('s', 'w', 'd');
%commandlabels = ('s'=>'How Many Processes?',
                  'w'=>'Who is Logged On',
                  'd'=>'Date and Time');

$delay = -1;
if (param('delay')) { $delay=param('delay'); }
print "HTTP/1.0 200","\n";

if ($delay > -1) {
	$delay=param('delay');
	$iterations=param('iterations');
	print "Content-type: multipart/x-mixed-replace;boundary=End","\n\n";
	print $boundary_string;

	$cmd = param('commands');
	for ($i=1;$i<=$iterations;++$i) {
		print header;
		print start_html;
		print "Push #$i\n";
		if ($cmd eq 's') {
         print p, "There are ", `ps -ef|wc -l`, " processes on ", server_name;
		} elsif ($cmd eq 'w') {
         print p, "Here's who's logged on:", br, pre(`who`);
      } elsif ($cmd eq 'd') {
         print p, "The date and time: ",`date`;
      } else {
			print h2("Illegal value: ", $cmd);
		   print end_html;
	      print $end_of_data;
			exit;
      }
		print $boundary_string;
		print end_html;
		sleep ($delay);
	}
	print $end_of_data;
}
else {
	print header;
	print start_html("Push Example");
  
	$server = server_name;
  
	print startform;
	print radio_group(-name=>'commands',
                     -value=>\@commandvalues,  
                     -labels=>\%commandlabels,  
                     );
	print "<hr>\n";
	print "Enter the number of seconds between server pushes: ";
	print textfield('delay','2','2','2'), br;
	print "Enter the number of server pushes: ";
	print textfield('iterations','2','2','2');
  
	print "<hr>\n";
	print submit('Start');
	print end_form;
	print end_html;
}
